/**@file
 * Encoder.h
 * @brief Encodert class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/08.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * Encodert class.
 */
@interface Encoder : NSObject {
}

// encode string for HTTP request.
+ (NSString *)encodeHttpString:(NSString *)str;
// XML string encode.
+ (NSString *)encodeXmlString:(NSString *)fromStr;
// XML string decode.
+ (NSString *)decodeXmlString:(NSString *)fromStr;
// UTF8 percent escaping
+ (NSString *)utf8PercentEscaping:(NSString *)utf8Str withThose:(const char *) thoseAscii;
@end
